
From: Gerd Knorr <kraxel@bytesex.org>

stradis.c vfree() checking cleanups.

Signed-off by: James Lamanna <jlamanna@gmail.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/stradis.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

diff -puN drivers/media/video/stradis.c~stradisc-vfree-checking-cleanups drivers/media/video/stradis.c
--- 25/drivers/media/video/stradis.c~stradisc-vfree-checking-cleanups	2005-03-11 12:32:19.000000000 -0800
+++ 25-akpm/drivers/media/video/stradis.c	2005-03-11 12:32:19.000000000 -0800
@@ -2181,12 +2181,9 @@ static void release_saa(void)
 		/* unmap and free memory */
 		saa->audhead = saa->audtail = saa->osdhead = 0;
 		saa->vidhead = saa->vidtail = saa->osdtail = 0;
-		if (saa->vidbuf)
-			vfree(saa->vidbuf);
-		if (saa->audbuf)
-			vfree(saa->audbuf);
-		if (saa->osdbuf)
-			vfree(saa->osdbuf);
+		vfree(saa->vidbuf);
+		vfree(saa->audbuf);
+		vfree(saa->osdbuf);
 		if (saa->dmavid2)
 			kfree((void *) saa->dmavid2);
 		saa->audbuf = saa->vidbuf = saa->osdbuf = NULL;
_
